com.streambase.sb

## Enum Constants.ContainerState

- java.lang.Object
- - java.lang.Enum<Constants.ContainerState>
  - - com.streambase.sb.Constants.ContainerState

- All Implemented Interfaces:
    Serializable, Comparable<Constants.ContainerState>
  Enclosing interface:
    Constants

      public static enum Constants.ContainerState
      extends Enum<Constants.ContainerState>

  status of a container sent on the control stream as container events
  Since:
    5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `START`
    `STARTING`
    `STOPPED`
    `STOPPING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.ContainerState` | `decode(int value)` Decode an int value into the proper ContainerStatus
    `static Constants.ContainerState` | `decode(String value)` Decode a String value into the proper Container status
    `int` | `toInt()` get the integer value of this status
    `static Constants.ContainerState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ContainerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTING

          public static final Constants.ContainerState STARTING

    - #### START

          public static final Constants.ContainerState START

    - #### STOPPING

          public static final Constants.ContainerState STOPPING

    - #### STOPPED

          public static final Constants.ContainerState STOPPED

  - ### Method Detail

    - #### values

          public static Constants.ContainerState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ContainerState c : Constants.ContainerState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ContainerState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

      get the integer value of this status
      Returns:
        integer value of status
      Since:
        5.1

    - #### decode

          public static Constants.ContainerState decode(int value)
                                                 throws StreamBaseException

      Decode an int value into the proper ContainerStatus
      Parameters:
        `value` - value to decode
      Returns:
        proper ContainerStatus
      Throws:
        `StreamBaseException` - for an unknown ContainerStatus
      Since:
        5.1

    - #### decode

          public static Constants.ContainerState decode(String value)
                                                 throws StreamBaseException

      Decode a String value into the proper Container status
      Parameters:
        `value` - value to decode
      Returns:
        proper ContainerStatus
      Throws:
        `StreamBaseException` - for an unknown Container status
      Since:
        5.1

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.